const form = document.querySelector("#form");
const submitButton = document.querySelector("#submit");
const loader = document.querySelector("#loader");
// const scriptURL = 'https://script.google.com/macros/s/AKfycbzu8Urzu3i5_vwelvA66WN5ea_vPi8YcIIr5gFh9cT1CZAWHGDn_NfvAktdq2vtMygP/exec';
const scriptURL = 'https://script.google.com/macros/s/AKfycbzTFE15xDQqvmOnJwMGqNXBCMqv5cDjNUwFsxfQj0PDil9Gxq6IRDe2PJLQEwzEMwO9/exec';

const nameInput = document.getElementById('name');
const emailInput = document.getElementById('email');
const mobileInput = document.getElementById('mobile');
const traveldateInput = document.getElementById('traveldate');
const consentCheck = document.getElementById('consentCheck');

form.addEventListener('submit', e => {
    e.preventDefault();

    // Display loader
    bgoverlay.style.display = 'block';
    loader.style.display = 'block';

    submitButton.disabled = true;

    let requestBody = new FormData(form);
    fetch(scriptURL, {
            method: 'POST',
            body: requestBody
        })
        .then(response => {
            // Hide loader on success
            bgoverlay.style.display = 'none';
            loader.style.display = 'none';
            submitButton.disabled = false;

            if (response.ok) {
                alert('Success! We have received your response. Our representative will get back to you shortly.', response);
                // Clear input fields on success
                nameInput.value = '';
                emailInput.value = '';
                mobileInput.value = '';
                traveldateInput.value = '';
                consentCheck.checked = ''
            } else {
                throw new Error('Network response was not ok');
            }
        })
        .catch(error => {
            // Hide loader on error
            bgoverlay.style.display = 'none';
            loader.style.display = 'none';
            submitButton.disabled = false;

            alert('Error!', error.message);
        });
});